#!/usr/bin/env node
const cac = require('cac').default
const pkg = require('../package')

const { input, flags } = cac.parse(process.argv.slice(2))

if (flags.version || flags.v) {
  console.log(pkg.version)
  process.exit()
}

const { config: configFile, baseDir, inspectWebpack, progress, debug } = flags
delete flags.config
delete flags.baseDir
delete flags.inspectWebpack
delete flags.progress
delete flags.debug
delete flags.help

const command = input.shift()
// Poi config, that can override data in your config file
// Assigned to poi
const config = Object.assign({ entry: input }, flags)

const cliOptions = {
  inspectWebpack,
  progress,
  debug
}

// App options, assigned to poi.options
const options = {
  configFile,
  baseDir,
  command,
  cliOptions
}

const poi = require('../lib')

const app = poi(options, config)
app.run()
