module.exports = {
  name: 'builtin:config-build',
  apply(api) {
    if (!api.isCommand('build')) return

    api.chainWebpack(config => {
      config.devtool(api.config.production.sourceMap ? 'source-map' : false)

      config.output.filename('assets/js/[name].[chunkhash:8].js')

      config.merge({
        optimization: {
          minimize: api.config.production.minimize,
          minimizer: [
            {
              apply(compiler) {
                // eslint-disable-next-line import/no-extraneous-dependencies
                const UglifyJsPlugin = require('uglifyjs-webpack-plugin')
                new UglifyJsPlugin({
                  cache: true,
                  parallel: true,
                  sourceMap: api.config.production.sourceMap,
                  uglifyOptions: {
                    output: {
                      comments: false
                    },
                    mangle: true
                  }
                }).apply(compiler)
              }
            }
          ]
        }
      })
    })
  }
}
