module.exports = {
  name: 'builtin:serve-public',
  apply(api) {
    if (api.isCommand('dev')) {
      api.configureDevServer(server => {
        server.use('/', require('sirv')(api.resolveBaseDir('public')))
      })
    } else {
      const CopyPlugin = require('copy-webpack-plugin')
      CopyPlugin.__expression = `require('copy-webpack-plugin')`

      api.chainWebpack(config => {
        config.plugin('copy-public').use(CopyPlugin, [
          [
            {
              from: api.resolveBaseDir('public'),
              to: '.',
              ignore: ['.DS_Store']
            }
          ]
        ])
      })
    }
  }
}
